"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Scope = void 0;
// TODO: Add description for each scope as jsdoc
var Scope;
(function (Scope) {
    Scope["AnalyticsReadExtensions"] = "analytics:read:extensions";
    Scope["AnalyticsReadGames"] = "analytics:read:games";
    Scope["BitsRead"] = "bits:read";
    Scope["ChannelManageAds"] = "channel:manage:ads";
    Scope["ChannelReadAds"] = "channel:read:ads";
    Scope["ChannelManageBroadcast"] = "channel:manage:broadcast";
    Scope["ChannelReadCharity"] = "channel:read:charity";
    Scope["ChannelEditCommercial"] = "channel:edit:commercial";
    Scope["ChannelReadEditors"] = "channel:read:editors";
    Scope["ChannelManageExtensions"] = "channel:manage:extensions";
    Scope["ChannelReadGoals"] = "channel:read:goals";
    Scope["ChannelReadGuest_star"] = "channel:read:guest_star";
    Scope["ChannelManageGuest_star"] = "channel:manage:guest_star";
    Scope["ChannelReadHypeTrain"] = "channel:read:hype_train";
    Scope["ChannelManageModerators"] = "channel:manage:moderators";
    Scope["ChannelReadPolls"] = "channel:read:polls";
    Scope["ChannelManagePolls"] = "channel:manage:polls";
    Scope["ChannelReadPredictions"] = "channel:read:predictions";
    Scope["ChannelManagePredictions"] = "channel:manage:predictions";
    Scope["ChannelManageRaids"] = "channel:manage:raids";
    Scope["ChannelReadRedemptions"] = "channel:read:redemptions";
    Scope["ChannelManageRedemptions"] = "channel:manage:redemptions";
    Scope["ChannelManageSchedule"] = "channel:manage:schedule";
    Scope["ChannelReadStreamKey"] = "channel:read:stream_key";
    Scope["ChannelReadSubscriptions"] = "channel:read:subscriptions";
    Scope["ChannelManageVideos"] = "channel:manage:videos";
    Scope["ChannelReadVips"] = "channel:read:vips";
    Scope["ChannelManageVips"] = "channel:manage:vips";
    Scope["ClipsEdit"] = "clips:edit";
    Scope["ModerationRead"] = "moderation:read";
    Scope["ModeratorManageAnnouncements"] = "moderator:manage:announcements";
    Scope["ModeratorManageAutomod"] = "moderator:manage:automod";
    Scope["ModeratorReadAutomodSettings"] = "moderator:read:automod_settings";
    Scope["ModeratorManageAutomodSettings"] = "moderator:manage:automod_settings";
    Scope["ModeratorManageBannedUsers"] = "moderator:manage:banned_users";
    Scope["ModeratorReadBlockedTerms"] = "moderator:read:blocked_terms";
    Scope["ModeratorManageBlockedTerms"] = "moderator:manage:blocked_terms";
    Scope["ModeratorManageChatMessages"] = "moderator:manage:chat_messages";
    Scope["ModeratorReadChatSettings"] = "moderator:read:chat_settings";
    Scope["ModeratorManageChatSettings"] = "moderator:manage:chat_settings";
    Scope["ModeratorReadChatters"] = "moderator:read:chatters";
    Scope["ModeratorReadFollowers"] = "moderator:read:followers";
    Scope["ModeratorReadGuestStar"] = "moderator:read:guest_star";
    Scope["ModeratorManageGuestStar"] = "moderator:manage:guest_star";
    Scope["ModeratorReadShieldMode"] = "moderator:read:shield_mode";
    Scope["ModeratorManageShieldMode"] = "moderator:manage:shield_mode";
    Scope["ModeratorReadShoutouts"] = "moderator:read:shoutouts";
    Scope["ModeratorManageShoutouts"] = "moderator:manage:shoutouts";
    Scope["UserEdit"] = "user:edit";
    Scope["UserEditFollows"] = "user:edit:follows";
    Scope["UserReadBlockedUsers"] = "user:read:blocked_users";
    Scope["UserManageBlockedUsers"] = "user:manage:blocked_users";
    Scope["UserReadBroadcast"] = "user:read:broadcast";
    Scope["UserManageChatColor"] = "user:manage:chat_color";
    Scope["UserReadEmail"] = "user:read:email";
    Scope["UserReadFollows"] = "user:read:follows";
    Scope["UserReadModeratedChannels"] = "user:read:moderated_channels";
    Scope["UserReadSubscriptions"] = "user:read:subscriptions";
    Scope["UserManageWhispers"] = "user:manage:whispers";
    Scope["ChannelBot"] = "channel:bot";
    Scope["ChannelModerate"] = "channel:moderate";
    Scope["ChatEdit"] = "chat:edit";
    Scope["ChatRead"] = "chat:read";
    Scope["UserBot"] = "user:bot";
    Scope["UserReadChat"] = "user:read:chat";
    Scope["WhispersRead"] = "whispers:read";
    Scope["WhispersEdit"] = "whispers:edit";
})(Scope || (exports.Scope = Scope = {}));
//# sourceMappingURL=scopes.js.map