export declare enum APIEndpoint {
    /**
     * POST
     */
    StartCommercial = "https://api.twitch.tv/helix/channels/commercial",
    /**
     * GET
     */
    GetAdSchedule = "https://api.twitch.tv/helix/channels/ads",
    /**
     * POST
     */
    SnoozeNextAd = "https://api.twitch.tv/helix/channels/ads/schedule/snooze",
    /**
     * GET
     */
    GetExtensionAnalytics = "https://api.twitch.tv/helix/analytics/extensions",
    /**
     * GET
     */
    GetGameAnalytics = "https://api.twitch.tv/helix/analytics/games",
    /**
     * GET
     */
    GetBitsLeaderboard = "https://api.twitch.tv/helix/bits/leaderboard",
    /**
     * GET
     */
    GetCheermotes = "https://api.twitch.tv/helix/bits/cheermotes",
    /**
     * GET
     */
    GetChannelInformation = "https://api.twitch.tv/helix/channels",
    /**
     * PATCH
     */
    ModifyChannelInformation = "https://api.twitch.tv/helix/channels",
    /**
     * GET
     */
    GetChannelEditors = "https://api.twitch.tv/helix/channels/editors",
    /**
     * GET
     */
    GetFollowedChannels = "https://api.twitch.tv/helix/channels/followed",
    /**
     * GET
     */
    GetChannelFollowers = "https://api.twitch.tv/helix/channels/followers",
    /**
     * POST
     */
    CreateCustomRewards = "https://api.twitch.tv/helix/channel_points/custom_rewards",
    /**
     * DELETE
     */
    DeleteCustomReward = "https://api.twitch.tv/helix/channel_points/custom_rewards",
    /**
     * GET
     */
    GetCustomReward = "https://api.twitch.tv/helix/channel_points/custom_rewards",
    /**
     * GET
     */
    GetCustomRewardRedemption = "https://api.twitch.tv/helix/channel_points/custom_rewards/redemptions",
    /**
     * PATCH
     */
    UpdateCustomReward = "https://api.twitch.tv/helix/channel_points/custom_rewards",
    /**
     * PATCH
     */
    UpdateRedemptionStatus = "https://api.twitch.tv/helix/channel_points/custom_rewards/redemptions",
    /**
     * GET
     */
    GetCharityCampaign = "https://api.twitch.tv/helix/charity/campaigns",
    /**
     * GET
     */
    GetCharityCampaignDonations = "https://api.twitch.tv/helix/charity/donations",
    /**
     * POST
     */
    CheckAutoModStatus = "https://api.twitch.tv/helix/moderation/enforcements/status",
    /**
     * POST
     */
    ManageHeldAutoModMessages = "https://api.twitch.tv/helix/moderation/automod/message",
    /**
     * GET
     */
    GetAutoModSettings = "https://api.twitch.tv/helix/moderation/automod/settings",
    /**
     * PUT
     */
    UpdateAutoModSettings = "https://api.twitch.tv/helix/moderation/automod/settings",
    /**
     * GET
     */
    GetBannedUsers = "https://api.twitch.tv/helix/moderation/banned",
    /**
     * POST
     */
    BanUser = "https://api.twitch.tv/helix/moderation/bans",
    /**
     * DELETE
     */
    UnbanUser = "https://api.twitch.tv/helix/moderation/bans",
    /**
     * GET
     */
    GetBlockedTerms = "https://api.twitch.tv/helix/moderation/blocked_terms",
    /**
     * DELETE
     */
    RemoveBlockedTerms = "https://api.twitch.tv/helix/moderation/blocked_terms",
    /**
     * POST
     */
    AddBlockedTerms = "https://api.twitch.tv/helix/moderation/blocked_terms",
    /**
     * GET
     */
    GetModeratedChannels = "https://api.twitch.tv/helix/moderation/channels",
    /**
     * GET
     */
    GetModerators = "https://api.twitch.tv/helix/moderation/moderators",
    /**
     * POST
     */
    AddChannelModerator = "https://api.twitch.tv/helix/moderation/moderators",
    /**
     * DELETE
     */
    RemoveChannelModerator = "https://api.twitch.tv/helix/moderation/moderators",
    /**
     * GET
     */
    GetVIPs = "https://api.twitch.tv/helix/channels/vips",
    /**
     * POST
     */
    AddChannelVIP = "https://api.twitch.tv/helix/channels/vips",
    /**
     * DELETE
     */
    RemoveChannelVIP = "https://api.twitch.tv/helix/channels/vips",
    /**
     * PUT
     */
    UpdateShieldModeStatus = "https://api.twitch.tv/helix/moderation/shield_mode",
    /**
     * GET
     */
    GetShieldModeStatus = "https://api.twitch.tv/helix/moderation/shield_mode",
    /**
     * GET
     */
    GetUsers = "https://api.twitch.tv/helix/users",
    /**
     * PUT
     */
    UpdateUser = "https://api.twitch.tv/helix/users",
    /**
     * GET
     */
    GetUserBlockList = "https://api.twitch.tv/helix/users/blocks",
    /**
     * PUT
     */
    BlockUser = "https://api.twitch.tv/helix/users/blocks",
    /**
     * DELETE
     */
    UnblockUser = "https://api.twitch.tv/helix/users/blocks"
}
//# sourceMappingURL=urls.d.ts.map